UnauthorisedException (Mule ESB 2.2.1 API)
Keywords: org.mule.api.security.UnauthorisedException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.security
Class UnauthorisedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.MessagingException
                      org.mule.api.security.SecurityException
                          org.mule.api.security.UnauthorisedException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CredentialsNotSetException

    public class UnauthorisedException

extends SecurityException

`UnauthorisedException` is thrown if authentication fails

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.api.MessagingException
`muleMessage`

Constructor Summary
`UnauthorisedException(Message message)`
`UnauthorisedException(Message message, MuleMessage muleMessage)`
`UnauthorisedException(Message message, MuleMessage muleMessage, Throwable cause)`
`UnauthorisedException(Message message, Throwable cause)`
`UnauthorisedException(MuleMessage message, SecurityContext context, ImmutableEndpoint endpoint, EndpointSecurityFilter filter)`

Method Summary

Methods inherited from class org.mule.api.MessagingException
`getMuleMessage`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnauthorisedException

    public UnauthorisedException(Message message)

### UnauthorisedException

    public UnauthorisedException(Message message,
                                 Throwable cause)

### UnauthorisedException

    public UnauthorisedException(Message message,
                                 MuleMessage muleMessage)

### UnauthorisedException

    public UnauthorisedException(Message message,
                                 MuleMessage muleMessage,
                                 Throwable cause)

### UnauthorisedException

    public UnauthorisedException(MuleMessage message,
                                 SecurityContext context,
                                 ImmutableEndpoint endpoint,
                                 EndpointSecurityFilter filter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.